//********************************************************************************************************************************
//*                                                                                                                              *
//*     RegistrationTool 2.0  3delite 2006-2014                                                                                 *
//*     See TRegistration ReadMe.txt for details                                                                                 *
//*                                                                                                                              *
//* Two licenses are available if you like this component:                                                                       *
//* Shareware license: 50                                                                                                       *
//*     http://www.shareit.com/product.html?productid=300091298                                                                  *
//* Commercial license: 250                                                                                                     *
//*     http://www.shareit.com/product.html?productid=300091297                                                                  *
//*                                                                                                                              *
//*     http://www.3delite.hu/Object Pascal Developer Resources/tregistration.html                                               *
//*                                                                                                                              *
//* If you have any of the aforementioned please email: 3delite@3delite.hu                                                       *
//*                                                                                                                              *
//* Good coding! :)                                                                                                              *
//* 3delite                                                                                                                      *
//********************************************************************************************************************************

program RegistrationTool;

uses
  SysUtils,
  Forms,
  Main in 'Main.pas' {FormTool},
  SearchWindow in 'SearchWindow.pas' {FormSearch},
  CreateDatabase in 'CreateDatabase.pas' {FormCreateDatabase},
  Settings in 'Settings.pas' {FormSettings},
  ProjectManager in 'ProjectManager.pas' {FormProjectManager},
  AddNewProject in 'AddNewProject.pas' {FormAddNewProject},
  AddNewSubVersion in 'AddNewSubVersion.pas' {FormNewSubVersion},
  EditProject in 'EditProject.pas' {FormEditProject},
  ImportV1Database in 'ImportV1Database.pas' {FormImport},
  RegistrationComments in 'RegistrationComments.pas' {FormRegistrationComments},
  SubVersionsSorting in 'SubVersionsSorting.pas',
  EditEMailTemplates in 'EditEMailTemplates.pas' {FormEditEMailTemplates},
  UserDetails in 'UserDetails.pas' {FormRegistrantDetails},
  EmailAccountSettings in 'EmailAccountSettings.pas' {FormEditAccount},
  SMTPAccountSettings in 'SMTPAccountSettings.pas' {FormEditSMTPAccount},
  MailProcessing in 'MailProcessing.pas';

{$R *.res}

procedure SetAsMainForm(aForm: TForm);
var
    P:Pointer;
begin
    P := @Application.Mainform;
    Pointer(P^) := aForm;
end;

begin
    Application.Initialize;
    Application.Title := 'Registration Tool';
    Application.HelpFile := 'https://www.3delite.hu/Object Pascal Developer Resources/tregistration.html';
    //DecimalSeparator := '.';
    FormatSettings.DecimalSeparator := '.';
    if ParamStr(1) = '-startminimized' then begin
        Application.ShowMainForm := False;
    end;
    Application.CreateForm(TFormSettings, FormSettings);
  Application.CreateForm(TFormTool, FormTool);
  Application.CreateForm(TFormRegistrantDetails, FormRegistrantDetails);
  //Application.CreateForm(TFormProcMail, FormProcMail);
    Application.CreateForm(TFormCreateDatabase, FormCreateDatabase);
    Application.CreateForm(TFormProjectManager, FormProjectManager);
    Application.CreateForm(TFormEditProject, FormEditProject);
    Application.CreateForm(TFormNewSubVersion, FormNewSubVersion);
    Application.CreateForm(TFormAddNewProject, FormAddNewProject);
    Application.CreateForm(TFormImport, FormImport);
    Application.CreateForm(TFormRegistrationComments, FormRegistrationComments);
    Application.CreateForm(TFormEditEMailTemplates, FormEditEMailTemplates);
    SetAsMainForm(FormTool);
    Application.Run;
end.
